"py27-requests-2.18.4_1 is already installed" - Build fails on FreeBSD 11.2

Issue #149 resolved
Václav Navrátil
created an issue

On FreeBSD 11.2 I get following error after running install/build script

running install_egg_info
Copying requests.egg-info to /usr/ports/www/py-requests/work-py27/stage/usr/local/lib/python2.7/site-packages/requests-2.18.4-py2.7.egg-info
running install_scripts
writing list of installed files to '/usr/ports/www/py-requests/work-py27/.PLIST.pymodtmp'
===> Creating unique files: Move MAN files needing SUFFIX
===> Creating unique files: Move files needing SUFFIX
====> Compressing man pages (compress-man)
===>  Installing for py27-requests-2.18.4_1
===>  Checking if py27-requests already installed
===>   py27-requests-2.18.4_1 is already installed
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of py27-requests
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1


Stop.
make: stopped in /usr/ports/www/py-requests
<< ERROR >> Port was not successfully installed, please fix it manually and then re-execute this script.

The error is in version 0.9.8

Comments (2)

  1. Log in to comment